Searching for Updated Article's Metadata
The NAH Reference Center GET /content/articles endpoint returns metadata for articles published within a specified date range. The updatedAt timestamp is not necessarily related to editors updating the article with new information. It may represent the last time the article was reprocessed for delivery. lastRevisedSince and lastRevisedBefore will narrow the search to when editorial changes were made. Use the lastRevisedSince and lastRevisedBefore to get the last time the article was edited.
Basic Retrieving of Metadata for Articles
To Get Article Metadata for Updated Articles (example):
Gather the following information for the request:
- An access token. Please see Using the Client Credentials Grant for further information.
- The dates to retrieve (optional).
- The page number to retrieve (optional).
- Set includeDeleted to true to return deleted article metadata. When an article has been deleted, the isDeleted field will be returned for the article.
- Whether to only return updated learning content articles.
Request
GET https://apis.ebsco.com/medsapi-ref-ctr/v1/content/articles?updatedSince=2022-09-14The request above is for NAH Reference center articles of type FactSheet that have been republished between September 14, 2022.
Response
{
"_metadata": {
"totalItems": 733,
"totalPages": 8,
"page": 1,
"links": [
{
"rel": "self",
"href": "https://apis.ebsco.com/medsapi-ref-ctr/v1/content/articles?hlType=FactSheet&updatedSince=2022-09-14&page=1"
},
{
"rel": "next",
"href": "https://apis.ebsco.com/medsapi-ref-ctr/v1/content/articles?hlType=FactSheet&updatedSince=2022-09-14&page=2"
},
{
"rel": "last",
"href": "https://apis.ebsco.com/medsapi-ref-ctr/v1/content/articles?hlType=FactSheet&updatedSince=2022-09-14&page=74"
}
]
},
"items": [
{
"id": "t915457ic",
"title": "Vaccinating Children - Checklist",
"product": {
"code": "rc",
"title": "RefCenters"
},
"pubType": {
"id": "SkillCompetencyChecklist"
},
"updatedAt": "2026-07-29T14:26:08",
"description": ""
},
...
} Request Parameters
| Field | Description |
|---|---|
| page | The next page of items to return. Does not need to be specified on the first request. |
| updatedSince | An ISO 8601 date. An example date is 2021-12-17T22:50:42.511Z or 2021-12-17. Time does not need to be specified and will be assumed as midnight on the day requests. Articles starting at that date will be returned. |
| updatedBefore | An ISO 8601 date. Time does not need to be specified and will be assumed as midnight on the day requests. Articles ending on that date will be returned. |
| includeDeleted | When true, deleted articles will be returned. The default is false. Deleted articles will include the isDeleted boolean field in the item. |
| withLearningContentOnly | When true, return only articles that are learning content. When false or omitted (default), articles are not filtered by learning content. |
| lastRevisedSince | Return only articles last revised on or after this date. Must be formatted in ISO_8601 standards (YYYY-MM-DD). Only supported for dhe and rc; returns 400 for other products. |
| lastRevisedBefore | Return only articles last revised on or before this date. Must be formatted in ISO_8601 standards (YYYY-MM-DD). Only supported for dhe and rc; returns 400 for other products. |
The updatedAt parameter indicates the last time the page was published. If neither updatedSince nor updatedBefore are provided, all updates are returned. If no updatedBefore is supplied, then all dates from the updateSince until today's date are returned. If no updatedSince is provided, then all dates up to the updatedBefore are returned. lastRevisedSince and lastRevisedBefore work similarly.
Paging
Up to 100 items may be returned in a request. If more than 100 are returned, the totalItems indicates how many items there are to retrieve. The page parameter in the response indicates the page returned. To get the next page of items, add one to the page. Each page has 100 items.
Error Response Codes
The NAH Reference Center GET metadata for articles endpoint can return one of the error response codes.
Updated 6 days ago
